|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Static Public Member Functions | Public Attributes
gameplay::Theme::SideRegions Struct Reference

`#include <Theme.h>`

List of all members.

## Public Member Functions

| SideRegions ()

## Static Public Member Functions

static const SideRegions & | empty ()

## Public Attributes

float | top
float | bottom
float | left
float | right

## Detailed Description

Struct representing margin, border, and padding areas by the width or height of each side.

## Constructor & Destructor Documentation

gameplay::Theme::SideRegions::SideRegions | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

static const SideRegions& gameplay::Theme::SideRegions::empty | ( |  | ) | `[static]`

Gets an empty SideRegion.

## Member Data Documentation

float gameplay::Theme::SideRegions::bottom

The bottom of the SideRegion.

float gameplay::Theme::SideRegions::left

The left side of the SideRegion.

float gameplay::Theme::SideRegions::right

The right side of the SideRegion.

float gameplay::Theme::SideRegions::top

The top of the SideRegion.

All Classes Functions Variables Typedefs Enumerations Enumerator